<div class="grid grid-cols-1 md:grid-cols-2 h-[1000px]">
  <div class="relative font-medium text-base md:text-lg lg:text-xl">
    <h2 class="absolute top-9 left-1/2 transform -translate-x-1/2 -translate-y-1/2">3legant.</h2>
    <img class="w-full h-[70vh] md:h-auto object-cover" src="../../../../assets/image/banner/Left.jpg" alt="">
  </div>
  <div
    class="py-4 px-6 md:px-12 lg:px-24 xl:px-32 md:h-full flex flex-col justify-center text-[#6C7275] md:mt-[-120px]">
    <h1 class="text-xl md:text-4xl font-medium text-black mb-4">Sign Up</h1>
    <div class="flex text-base md:text-lg space-x-1 mb-4 md:mb-8">
      <span class="font-regular">Already have an account?</span>
      <a class="font-semibold text-[#38CB89]" href="login">Sign In</a>
    </div>
    <form [formGroup]="authForm" (ngSubmit)="onSubmit()" class="text-left font-regular">
      <div class="mb-4">
        <input type="text" formControlName="name"
          class="border-b border-[#E8ECEF] bg-transparent w-full h-[40px] my-3 placeholder-gray-500 focus:outline-none transition duration-300"
          placeholder="Your name" autocomplete="off">
        <span
          *ngIf="authForm.controls['name'].errors && (authForm.controls['name'].dirty || authForm.controls['name'].touched || submitted)"
          class="text-red-500 mt-1 text-sm">
          Name is required
        </span>
      </div>
      <div class="mb-4">
        <input type="text" formControlName="username"
          class="border-b border-[#E8ECEF] bg-transparent w-full h-[40px] my-3 placeholder-gray-500 focus:outline-none transition duration-300"
          placeholder="User name" autocomplete="off">
        <span
          *ngIf="authForm.controls['username'].errors && (authForm.controls['username'].dirty || authForm.controls['username'].touched || submitted)"
          class="text-red-500 mt-1 text-sm">
          Username is required
        </span>
      </div>
      <div class="mb-4">
        <input type="email" formControlName="email"
          class="border-b border-[#E8ECEF] bg-transparent w-full h-[40px] my-3 placeholder-gray-500 focus:outline-none transition duration-300"
          placeholder="Your email address" autocomplete="off">
        <span
          *ngIf="authForm.controls['email'].errors && (authForm.controls['email'].dirty || authForm.controls['email'].touched || submitted)"
          class="text-red-500 mt-1 text-sm">
          Email is required and must be a valid email address
        </span>
      </div>
      <div class="mb-4">
        <input type="password" formControlName="password"
          class="border-b border-[#E8ECEF] bg-transparent w-full h-[40px] my-3 placeholder-gray-500 focus:outline-none transition duration-300"
          placeholder="Password" autocomplete="off">
        <span
          *ngIf="authForm.controls['password'].errors && (authForm.controls['password'].dirty || authForm.controls['password'].touched || submitted)"
          class="text-red-500 mt-1 text-sm">
          Password is required and must be at least 9 characters long
        </span>
      </div>
      <div class="flex items-center mb-6">
        <input type="checkbox" name="remember" id="remember" class="mr-2">
        <label for="remember">I agree with <span class="text-black font-medium">Privacy Policy</span> and
          <span class="text-black font-medium">Terms of Use</span></label>
      </div>
      <button type="submit" class="bg-black text-white text-medium rounded-[8px] w-full py-5">
        Sign Up
      </button>
    </form>
  </div>
</div>